Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

please help, firmware update

Discussion in 'Firmware' started by chris_kline, Mar 20, 2015.

  1. chris_kline

    Joined:
    Mar 20, 2015
    Messages:
    1
    Likes Received:
    0
    Hi Guys

    im new here on this forum, so first of all, hello to everyone here!

    ok, so im having trouble with syncing my phantom 2 with the 1.08 assistant. its currently running version 3.12 and assistant 3.6 which is fine, but i want to adjust the gain settings on the gimbal (walkera 2d) so i can use the pitch control

    anyway, when i try to update the firmware to 1.08, it just says MC mismatch, and wont let me update the firmware.

    any help would be much appreciated, as im supposed to be filming tomorrow.

    thanks in advance
     
  2. IflyinWY

    Joined:
    Sep 12, 2014
    Messages:
    3,470
    Likes Received:
    939
    Location:
    Where the deer and the antelope play
    Welcome to the party Chris,

    You may want to post your issue in the P2 or Help section.
    I see no one is jumping on it here. ;)
     
  3. Fplvert

    Joined:
    May 28, 2014
    Messages:
    1,559
    Likes Received:
    708
    Location:
    Southern Idaho USA
    :D
    Welcome to the forum!

    First, you need to load 1.08 firmware. You can get it here: http://droneslinger.com/software.html

    Open the software and select update.

    Good luck on your mission!